<?php


function getToken($thisLogin,$thisPassword) {

    $bmIni = '/etc/bm/bm.ini';
    $dataBmIni = parse_ini_file($bmIni);

    $thisURL=$dataBmIni['external-protocol']."://".$dataBmIni['external-url']."/soap/proxy?wsdl" ;


    $serv = new SoapClient($thisURL);
    $login = $serv->login(array('arg0' => $thisLogin, 'arg1' => $thisPassword, 'arg2' => 'bmStats'));
    $token = $login->return;

    if($token==null || !isset($token->sessionId) || $token->sessionId==null) {
         $thisArray = array() ;
          
    } else {
    

        class UserQuery {
            public $archived = null;
            public $dateBegin = null;
            public $delegationPrefix = null;
            public $directionPrefix = null;
            public $domainId = null;
            public $domainName = null;
            public $email = null;
            public $expirationOp = null;
            public $extId = null;
            public $filterPattern = null;
            public $firstNamePrefix = null;
            public $groupPrefix = null;
            public $id = null;
            public $lastNamePrefix = null;
            public $login = null;
            public $loginPrefix = null;
            public $patterns = null;
            public $phonePrefix = null;
            public $profile = null;
            public $servicePrefix = null;
            public $system = null;
        }

        $userQuery = new UserQuery();
        $userQuery->id = $token->userId ;
        $info = $serv->findUsers(array('arg0' => $token, 'arg1' => $userQuery));

        $thisUser = $info->return ;

        $thisPerms       = $thisUser->perms ;
        $thisDomainName  = $thisUser->domain->name ;
        $thisDomainId    = $token->domainId ;  
        $thisDisplayName = $thisUser->displayName ;

        $thisArray['token']       = 1 ;
        $thisArray['login']       = "$thisLogin" ;
        $thisArray['password']    = "$thisPassword" ;
        $thisArray['displayName'] = $thisDisplayName ;
        $thisArray['domainName']  = $thisDomainName ;
        $thisArray['domainId']    = $thisDomainId ;
        $thisArray['perms']       = $thisPerms ;

    
    };

    $serv->logout(array('arg0' => $token));


    return $thisArray ;


}

?>
